/**
 * Required external Libraries:
 * - Vulkan
 * - glfw
 * - glm
 * - stb
 * - tinyobjloader
 */

#define DEBUG 1

#include "vulkan/vulkan_app.hpp"

int main(int argc, char **argv){
    std::cout << "Program path: " << argv[0] << std::endl;
    try{
        vapp::Vulkan app;

        app.MODEL_PATH = "models/viking_room.obj";
        app.TEXTURE_PATH = "textures/viking_room.png";

        app.run("Vulkan", 800, 800);
    }
    catch(const std::exception& e){
        std::cerr << e.what() << std::endl;
        return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}